Subject: Re: [PATCH] fast-import.c: always honor the filename case

From: Torsten Bögershausen <[email-masked]>
Date: Sun, 09 Feb 2014 21:34:26 +0100

On 2014-02-06 12.24, Reuben Hawkins wrote:
[snipped away minor interesting stuff]

    Reading the answers from Peff and Junio, I am convinced that the fast-import should
    not look at core.ignorecase at all.

Agreed, but my patch 0001-fast-import.c-ignorecase-iff-... is working very well (for me anyway), and the ignore-case option may be useful to the git-p4 importer (which I guess is something that should be determined for sure).

If you want, you can turn this into a real patch and send it to the list.
I think  Pete Wyckoff <[email-masked]> is one of the experts about p4.

And the same is for fast-export fixes you have made: If you have the time,
convert it into a patch and send it to the list.

[]
> BTW, if you can, can you give me a quick overview of testing it git?  I can run 'make tests' easy enough, but there seems to be a well defined framework of testing written in bash and c..  Is there a doc on that framework anywhere?
I'm not sure if there is a document, and yes, it's a nice framework.
You can have a look at t0050, it gives a good overview over the most important
feattures in the framework, I would say.

(And the shell scripts uses a subset of the POSIX shell, which means we avoid
bash-ism things like "[[ ]]" or "==")
/Torsten